!set title=Fórmula de entrada 3x3 II
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr
language=en

ansorder=r
varcnt=14
prevarcnt=13
postvarcnt=0
replycnt=1
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!randint 2, 10

tmp1=!randitem -1,1

val6=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 2, 10

tmp1=!randitem -1,1

val7=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 2, 10

tmp1=!randitem -1,1

val8=$[rint($(tmp0)*$(tmp1))]
val9=!rawmath $val6*i+$val7*j+$val8
evaltmp=$val9

evaltmp=!mathsubst i=(1) in $evaltmp
evaltmp=!mathsubst j=(1) in $evaltmp
tmp0=($evaltmp)
val10=$[rint($(tmp0))]
evaltmp=$val9

evaltmp=!mathsubst i=(1) in $evaltmp
evaltmp=!mathsubst j=(2) in $evaltmp
tmp0=($evaltmp)
val11=$[rint($(tmp0))]
evaltmp=$val9

evaltmp=!mathsubst i=(1) in $evaltmp
evaltmp=!mathsubst j=(3) in $evaltmp
tmp0=($evaltmp)
val12=$[rint($(tmp0))]
evaltmp=$val9

evaltmp=!mathsubst i=(2) in $evaltmp
evaltmp=!mathsubst j=(1) in $evaltmp
tmp0=($evaltmp)
val13=$[rint($(tmp0))]
evaltmp=$val9

evaltmp=!mathsubst i=(2) in $evaltmp
evaltmp=!mathsubst j=(2) in $evaltmp
tmp0=($evaltmp)
val14=$[rint($(tmp0))]
evaltmp=$val9

evaltmp=!mathsubst i=(2) in $evaltmp
evaltmp=!mathsubst j=(3) in $evaltmp
tmp0=($evaltmp)
val15=$[rint($(tmp0))]
evaltmp=$val9

evaltmp=!mathsubst i=(3) in $evaltmp
evaltmp=!mathsubst j=(1) in $evaltmp
tmp0=($evaltmp)
val16=$[rint($(tmp0))]
evaltmp=$val9

evaltmp=!mathsubst i=(3) in $evaltmp
evaltmp=!mathsubst j=(2) in $evaltmp
tmp0=($evaltmp)
val17=$[rint($(tmp0))]
evaltmp=$val9

evaltmp=!mathsubst i=(3) in $evaltmp
evaltmp=!mathsubst j=(3) in $evaltmp
tmp0=($evaltmp)
val18=$[rint($(tmp0))]
replytype1=default
replyname1=f(i,j)
replygood1=$val9
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Sea	<p><center><table border=0	<tr><td rowspan=3>C = (c<sub>i,j</sub>) = <font size=+5>(</font>	<td align=center>$val10<td align=center>$val11<td align=center>$val12	<td rowspan=3><font size=+5>)</font>	<tr><td align=center>$val13<td align=center>$val14<td align=center>$val15	<tr><td align=center>$val16<td align=center>$val17<td align=center>$val18	</table></center> <p>	una matriz 3&times;3 cuya entrada c<sub>i,j</sub> está definida por 	una fórmula lineal	c<sub>i,j</sub>=f(i,j)=ai+bj+c.	<p>	Determina la función f(i,j).	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=10,11,12,13,14,15,16,17,18
embedcnt=0
